Skip to main content
Request a DCC offer for a merchant terminal

Headers

x-dcc-dhs-version
enum<string>
default:3.0

Optional DHS response version. Use 3.1 to include exchangeRateType; 3.0 is the default.

Available options:
3.0,
3.1
Example:

"3.1"

Path Parameters

acquirerId
string
required

Acquiring bank identification code defined by Fexco to identify the merchant's acquiring bank or ATM

Required string length: 3
merchantId
string
required

The merchant ID is assigned by Fexco. This merchant ID corresponds to Mercury's Merchant Originator Tag. An alphanumeric value that identifies the merchant

Required string length: 1 - 16

Query Parameters

baseamount
number
required

Specifies the numeric amount of the transaction in base currency minor units as per ISO 4217

currency
string

List of foreign ISO4217 currency codes. You can specify any combination of alphabetic and numeric currency codes.

Note: Please do not add spaces before or after the commas that separate the currency codes

If you want to override the Card foreigner's currency with a custom currency you can pass the foreign currency in this parameter with the bin information

Note: The base currency is GBP. Please do not use GBP in the currency field

Note: The currency field is only for an MCP Rate Call

bin
string

This value includes the bank identification number (BIN) which is represented by leading digits of the payment card number

Required string length: 6 - 12
cid
string

This value is an extension of bin allowing for the next 6 digits of the card number. This value is the Card Currency Identifier (or Currency ID) which is used in conjunction with the BIN specified and provides the next 6 digits of the card number, whereby:

  • bin: specifies only digits 1 to 6 of the BIN
  • cid: specifies digits 7 to 12 of the card number A maximum of 6 digits is accepted while 4 is the recommended length. Note: Only 4 digits of the CID are stored
Maximum string length: 6
posentrymode
string

This is an optional POS Entry Mode used with the Contactless Transaction Lower Limit (TLL).
The Contactless TLL is an optional configurable limit per MID or ATM ID on DHS. A contactless transaction with an amount less than or equal to the TLL will not be eligible for DCC. A contactless transaction with an amount greater than the TLL will be eligible for DCC. The optional POS Entry Mode field is used to indicate if the transaction is contactless or not.
This POS Entry Mode field indicates the method by which the Primary Account Number (PAN) was captured at the point of service and the PIN entry capabilities of the POS used
It consists of a two-digit sub-field followed by a one-digit sub-field. Possible values are as defined by ISO 8583.
Two-digit sub-field 1:

  • '00' PAN entry mode unknown or unspecified.
  • '01' PAN manual entry.
  • '02' PAN auto-entry via magnetic stripe – the magnetic stripe has not been fully read and/or transmitted.
  • '03' PAN auto-entry via bar code reader.
  • '04' PAN auto-entry entry via optical character reader (OCR).
  • '05' PAN auto entry via ICC.
  • '07' PAN auto entry via Contactless ICC EMV*
  • '80' Fallback from integrated circuit card (ICC) to a magnetic stripe.
  • '90' PAN auto-entry via Magnetic stripe.
  • '91' PAN auto-entry via contactless magnetic stripe.
  • '95' PAN auto-entry via ICC. CVV may not be checked.
    " +

One-digit sub-field 2:

  • '0' Unspecified or unknown.
  • '1' Terminal has PIN entry capability.
  • '2' Terminal does not have PIN entry capability.
  • '8' Terminal has PIN entry capability but the PIN pad is not currently operative =

'07' and '91' are the current Contactless values configured for TLL on the DHS service

Required string length: 3
basefeeamount
number

Transaction fee amount in base currency minor units. When supplied with baseamount and bin, the response includes converted fee and total amounts.

Response

DCC Rate Offer.
The service can return an Entity or a List of Entities.

DccRateOffer

uuid
string<uuid>
Example:

"29ac6075-5d30-4159-815d-6da233cb3ce7"

responseTimestamp
string<date-time>
Example:

"2026-03-19T10:15:30.000+0000"

referenceNumber
string
Example:

"REF-001234"

baseAmount
string
Example:

"100.00"

baseFeeAmount
string

Fee amount in base currency, present when basefeeamount is supplied.

Example:

"2.50"

exchangeRate
object
foreignAmount
string
Example:

"109.50"

foreignFeeAmount
string

Fee amount in foreign currency, present when basefeeamount is supplied.

Example:

"2.73"

foreignTotalAmount
string

Total amount in foreign currency, present when basefeeamount is supplied.

Example:

"111.95"

bin
object